# Fermenting

A simple skill mod that lets you configure base production speed, base product output, and exp gain. Production speed and product output will then be scaled according to the level of the skill. The higher the skill level the faster the production speed and the higher the amount of product you will get.

## Installation (manual)

copy `plugins` folder to your `BepInEx` folder
(NOTE: DELETE the old \plugins\FermenterSkill.dll when updating to v1.0.4 Fermenting)

## Features

- Configurable base production speed and base product output.
- Configurable level to display production time.
- Configurable skill exp gain.
- Production speed and product output is scaled by skill level.
- Product output will be doubled at max skill level.
- Uses ServerSync to sync configs from servers to clients.
- Built-in FileWatcher.
- Configurable through config file or [configuration manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

## Changelog

<br/>
v1.0.4<br/>
- change skill name from FermenterSkill to Fermenting.<br/>
- added exp gain notification<br/>
- added toggle option to enable disable exp gain notification<br/>
<br/>
v1.0.3<br/>
- optimized code and updated serversync<br/>
<br/> 
v1.0.2<br/>
- added version checks<br/>
- updated to latest valheim assemblies<br/>
<br/>
v1.0.1<br/>
- revised final product amount calculation, it should work properly now.<br/>
- disabled automatic adding of meads.<br/>
<br/>
v1.0.0 first release

